aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSelene ToyKeeper2023-12-15 04:55:40 -0700
committerSelene ToyKeeper2023-12-15 04:55:40 -0700
commit0725045fc2d6f974f50d59755f9bbecd0c33ee23 (patch)
tree6b00bc264c2d2dc9ae1a9bab035c0145438081cb
parentuse BLIP_LEVEL instead of 0 for "blip"s (diff)
downloadanduril-0725045fc2d6f974f50d59755f9bbecd0c33ee23.tar.gz
anduril-0725045fc2d6f974f50d59755f9bbecd0c33ee23.tar.bz2
anduril-0725045fc2d6f974f50d59755f9bbecd0c33ee23.zip
build.sh: don't require DFPs, newer avr-libc doesn't need them
Diffstat (limited to '')
-rwxr-xr-xbin/build.sh14
1 files changed, 8 insertions, 6 deletions
diff --git a/bin/build.sh b/bin/build.sh
index d044ca5..ed0a837 100755
--- a/bin/build.sh
+++ b/bin/build.sh
@@ -37,12 +37,14 @@ else
echo "Unrecognized MCU type: '$MCUNAME'"
exit 1
fi
-# ensure the DFP files exist
-if [ ! -d "$DFPPATH" ]; then
- echo "Atmel DFP files not found: '$DFPPATH'"
- echo "Install DFP files with './make dfp'"
- exit 1
-fi
+# skip verification because newer avr-libc doesn't need DFPs,
+# so the DFP shouldn't be mandatory
+## ensure the DFP files exist
+#if [ ! -d "$DFPPATH" ]; then
+# echo "Atmel DFP files not found: '$DFPPATH'"
+# echo "Install DFP files with './make dfp'"
+# exit 1
+#fi
export CC=avr-gcc
export CPP=avr-cpp